#!/bin/sh
F_install()
{
    #
    FromDir="/opt/trend/imss/UI/euqUI/ROOT/WEB-INF/classes/web/"
    ToDir="/opt/trend/imss/UI/euqUI/ROOT/"
    
    
    file_num=`ls -l ${FromDir}/WEB-INF/classes/*.properties  2>/dev/null|grep -v grep |wc -l`  
    if [ $file_num -ne 0 ] ; then
        mv -v ${FromDir}/WEB-INF/classes/*.properties  $ToDir/WEB-INF/classes/
        #move css file
        mv -v ${FromDir}/css/*      $ToDir/css/
        #move help
        mv -v ${FromDir}/help/imsva/*      $ToDir/help/
        #move image 
        mv -v ${FromDir}/images/imsva/*      $ToDir/images/ 
    else
       echo "properties files are in the correct place, no need to change"
    fi
    #UI support TLS1.2, BUT user may changed EUI UI port, we can not replace file 
    #/opt/trend/imss/UI/euqUI/bin/Apache.sh
    EuqApacheStartScript="/opt/trend/imss/UI/euqUI/bin/Apache.sh"
    Openssl1LibPathExists=` grep LD_LIBRARY_PATH $EuqApacheStartScript |grep openssl1 |grep -v grep|wc -l` 
    if [ $Openssl1LibPathExists -eq 0 ];then
       echo "Update LD_LIBRARY_PATH in file $EuqApacheStartScript" 
       cp -f $EuqApacheStartScript $EuqApacheStartScript.bak 
       sed -e "s#LD_LIBRARY_PATH=\$IMSS_UI_HOME\/apache\/lib:\$IMSS_HOME\/lib.*#LD_LIBRARY_PATH=\$IMSS_UI_HOME\/apache\/lib:\$IMSS_HOME\/lib:\$IMSS_HOME\/lib\/openssl1\/lib#g" $EuqApacheStartScript.bak > $EuqApacheStartScript
       rm -rf $EuqApacheStartScript.bak 
    fi
    
    return 0
}

F_rollback()
{
    return 0
}

case "$1" in
'install')
    F_install
    ;;
'rollback')
    F_rollback
    ;;
*)
    exit 0
    ;;
esac

