#!/bin/sh
NewGHOSTPackageName="${TEMP_FOLDER}/glibc-2.12-1.149.el6_6.5.i686.rpm   ${TEMP_FOLDER}/glibc-2.12-1.149.el6_6.5.x86_64.rpm ${TEMP_FOLDER}/glibc-common-2.12-1.149.el6_6.5.x86_64.rpm"
F_install()
{
    fixed=` rpm -qi glibc  --changelog  |grep CVE-2015-0235|grep -v grep|wc -l`
    if [ $fixed -eq 0 ];then
        #mkdir -p $back_dir
        F_log " Checking packages"
        validPackageNum=`rpm -K --nosignature  ${NewGHOSTPackageName}|grep "sha1 md5 OK" |grep -v grep |wc -l`
        if [ $validPackageNum -eq 3 ]; then
            rpm -Uvh ${NewGHOSTPackageName}
            if [ $? -eq 0 ];then
               F_log "Installation glibc is complete "
            else
               F_log "Installation glibc failed, nstall glibc failed."
            fi
        else
             F_log "Packages corrupted,Install glibc failed" 
        fi 
    else
       F_log "Current glibc version has fixed CVE-2015-0235, No need to upgrade glibc"
    fi
   
}


F_rollback()
{
    # 
    return 0
}

case "$1" in
'install')
    F_install
    ;;
'rollback')
    F_rollback
    ;;
*)
    exit 0
    ;;
esac

